<script lang="ts" context="module">
    export const ssr = false;
    import QRCode from "qrcode";
    let joinPath = "https://aztendance.team6479.org";
    let qrData = null;
    let id, code;
	export async function load({ page, fetch, session, context }) {
        id = (page.params.id + "000000").substr(0, 6).toLowerCase();
        code = (page.params.code + "0000").substr(0, 4).toLowerCase();
        joinPath = "https://aztendance.team6479.org/join/" + id + "-" + code;
        let s = QRCode.toDataURL(joinPath, {color: {dark: "#3d3d3dff", light: "#ebebeb00"}, width: 275}).then(url => {
            qrData = url;
        }).catch(e => console.error(e));
        return {};
    }
</script>

<svelte:head>
    <title>Meeting QR Code | AZtendance</title>
</svelte:head>

<style>
    h2, p {
        text-align: center;
    }
    .wrapper, .wrapper img {
        display: block;
        margin-left: auto;
        margin-right: auto;
    }
</style>

<h2>Scan to Join</h2>

<div class="wrapper">
    {#if qrData != null}
        <img src={qrData} alt={joinPath} />
    {/if}
</div>
<p>
    Meeting: {id}<br>
    Code: {code}
</p>